package cn.stylefeng.workflow.api.enums;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.stylefeng.roses.kernel.rule.base.ReadableEnum;
import lombok.Getter;

@Getter
public enum NodeActivityTypeEnum implements ReadableEnum<NodeActivityTypeEnum> {

    NONE(10, "无活动"),

    RPC_ACT(20, "RPC接口活动"),

    HTTP_ACT(30, "HTTP接口活动");

    private final Integer code;

    private final String name;

    NodeActivityTypeEnum(Integer value, String name) {
        this.code = value;
        this.name = name;
    }

    @Override
    public Object getKey() {
        return code;
    }

    @Override
    public Object getName() {
        return name;
    }

    @Override
    public NodeActivityTypeEnum parseToEnum(String originValue) {
        if (ObjectUtil.isEmpty(originValue)) {
            return null;
        }
        for (NodeActivityTypeEnum value : NodeActivityTypeEnum.values()) {
            if (value.code.equals(Convert.toInt(originValue))) {
                return value;
            }
        }
        return null;
    }
}
